<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ControlEquipmentWorkstation extends Model
{
    use HasFactory;

    public $timestamps = false;

    protected $table = 'control_equipment_workstation';

    // protected $primaryKey = 'id';

    public function equipment()
    {
        return $this->belongsTo(Equipment::class, 'equipment_id', 'equipment_id');
    }

    public function elementalTask()
    {
        return $this->belongsTo(ElementalTasks::class,'elemental_tasks_id','elemental_tasks_id');
    }
}
